﻿//
// Copyright (c) 2017, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

using MindFusion.Drawing;
using MindFusion.Charting;
using Brush = MindFusion.Drawing.Brush;
using SolidBrush = MindFusion.Drawing.SolidBrush;

namespace Test
{
	public partial class AreaChart : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				
				var labels = new List<string>(){
    "Jan", "Feb", "Mar", "Apr", "May", "Jun",
    "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};

				var s1 = new BarSeries(new List<double>() { 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24 }, labels, null);
				s1.Title = "2016";
				var s2 = new BarSeries(new List<double>() { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 }, labels, null);
				s2.Title = "2015";
				var s3 = new BarSeries(new List<double>() { 2, 8, 13, 15, 13, 8, 2, 8, 13, 15, 13, 8 }, labels, null);
				s3.Title = "2014";

				// create sample data series
				var series = new ObservableCollection<Series>() { s1, s2, s3 };

				areaChart.XAxis.Title = "Profit (in mlns)";
				areaChart.YAxis.Title = "Turnover (in mlns)";
				areaChart.Series = new ObservableCollection<MindFusion.Charting.Series>(series);

				// create area brushes
				var firstBrush = new SolidBrush(ColorTranslator.FromHtml("#ce0000"));
				var secondBrush = new LinearGradientBrush(ColorTranslator.FromHtml("#003466"), ColorTranslator.FromHtml("#000063"));
				var thirdBrush = new LinearGradientBrush(ColorTranslator.FromHtml("#e0e9e9"), ColorTranslator.FromHtml("#669acc"));

				var fills = new List<Brush>() { firstBrush, secondBrush, thirdBrush};
				areaChart.Plot.SeriesStyle = new PerSeriesStyle(fills, null, null, null);
				areaChart.Theme.LegendBackground = new SolidBrush(ColorTranslator.FromHtml("#e0e9e9"));
				areaChart.Theme.LegendBorderStroke = new SolidBrush(ColorTranslator.FromHtml("#000000"));
				areaChart.Theme.AxisTitleFontSize = 14;
				areaChart.Theme.AxisTitleFontName = "Verdana";
				areaChart.Theme.AxisLabelsFontName = "Verdana";
				areaChart.Theme.DataLabelsFontName = "Verdana";
				areaChart.LegendTitle = "Year";

			}
		}

		protected void Button1_Click(object sender, EventArgs e)
		{

		}

		protected void lineType_SelectedIndexChanged(object sender, EventArgs e)
		{
			areaChart.LineType = (LineType)lineType.SelectedIndex;
		}

		protected void chbShowDataLabels_CheckedChanged(object sender, EventArgs e)
		{
			areaChart.ShowDataLabels = chbShowDataLabels.Checked ? LabelKinds.All : LabelKinds.None;
		}

		protected void areaOpacity_TextChanged(object sender, EventArgs e)
		{
			areaChart.AreaOpacity = double.Parse(areaOpacity.Text) / 100;
		}
	}
}
